LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::sheet::FormulaLanguage Constant Group Reference

Constants designating the formula language used with XFormulaOpCodeMapper methods. More...

## Variables
const long | ODFF = 0
| Function names and operators as defined by the OASIS OpenDocument Format (ODF) Formula specification (ODFF aka OpenFormula). More...
const long | ODF_11 = 1
| Function names and operators as used in ODF documents prior to the ODFF specification, up to ODF v1.1. More...
const long | ENGLISH = 2
| Function names and operators as used in the English language user interface. More...
const long | NATIVE = 3
| Function names and operators as used in the current native language user interface. More...
const long | XL_ENGLISH = 4
| Function names and operators as used in the English version of Excel. More...
const long | OOXML = 5
| Function names and operators as used in OOXML. More...
const long | API = 6
| Function names and operators as used with XFunctionAccess and other API context. More...

## Detailed Description

Constants designating the formula language used with XFormulaOpCodeMapper methods.

## Variable Documentation

## ◆ API

const long API = 6

Function names and operators as used with XFunctionAccess and other API context.

Names are mostly identical to ENGLISH and ODF_11, but while ENGLISH names can be adapted to UI needs and ODF_11 has to stay error compatible, the API names strive to stay compatible but may get corrected in case of errors. Earlier versions than LibreOffice 5.3 always used ODF_11 in API context.

Since
  LibreOffice 5.3

## ◆ ENGLISH

const long ENGLISH = 2

Function names and operators as used in the English language user interface.

## ◆ NATIVE

const long NATIVE = 3

Function names and operators as used in the current native language user interface.

## ◆ ODF_11

const long ODF_11 = 1

Function names and operators as used in ODF documents prior to the ODFF specification, up to ODF v1.1.

## ◆ ODFF

const long ODFF = 0

Function names and operators as defined by the OASIS OpenDocument Format (ODF) Formula specification (ODFF aka OpenFormula).

## ◆ OOXML

const long OOXML = 5

Function names and operators as used in OOXML.

Since
  LibreOffice 4.2

## ◆ XL_ENGLISH

const long XL_ENGLISH = 4

Function names and operators as used in the English version of Excel.

This formula language is also used in VBA formulas.